package SHARK2.keymon.com.mx;


import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.B4AClass;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.debug.*;

public class xml2map extends B4AClass.ImplB4AClass implements BA.SubDelegator{
    private static java.util.HashMap<String, java.lang.reflect.Method> htSubs;
    private void innerInitialize(BA _ba) throws Exception {
        if (ba == null) {
            ba = new anywheresoftware.b4a.ShellBA(_ba, this, htSubs, "SHARK2.keymon.com.mx.xml2map");
            if (htSubs == null) {
                ba.loadHtSubs(this.getClass());
                htSubs = ba.htSubs;
            }
            
        }
        if (BA.isShellModeRuntimeCheck(ba)) 
			   this.getClass().getMethod("_class_globals", SHARK2.keymon.com.mx.xml2map.class).invoke(this, new Object[] {null});
        else
            ba.raiseEvent2(null, true, "class_globals", false);
    }

 
    public void  innerInitializeHelper(anywheresoftware.b4a.BA _ba) throws Exception{
        innerInitialize(_ba);
    }
    public Object callSub(String sub, Object sender, Object[] args) throws Exception {
        return BA.SubDelegator.SubNotFound;
    }
public static class _xmlelement{
public boolean IsInitialized;
public String Name;
public anywheresoftware.b4a.objects.collections.List Children;
public String Text;
public anywheresoftware.b4a.objects.collections.Map Attributes;
public void Initialize() {
IsInitialized = true;
Name = "";
Children = new anywheresoftware.b4a.objects.collections.List();
Text = "";
Attributes = new anywheresoftware.b4a.objects.collections.Map();
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.SaxParser _parser = null;
public anywheresoftware.b4a.objects.collections.List _elements = null;
public boolean _mstripnamespaces = false;
public b4a.example.dateutils _dateutils = null;
public SHARK2.keymon.com.mx.main _main = null;
public SHARK2.keymon.com.mx.appupdater _appupdater = null;
public SHARK2.keymon.com.mx.mapa_cliente _mapa_cliente = null;
public SHARK2.keymon.com.mx.mapa_rutas _mapa_rutas = null;
public SHARK2.keymon.com.mx.notificationservice _notificationservice = null;
public SHARK2.keymon.com.mx.pendientes _pendientes = null;
public SHARK2.keymon.com.mx.starter _starter = null;
public SHARK2.keymon.com.mx.subs _subs = null;
public SHARK2.keymon.com.mx.tracker _tracker = null;
public SHARK2.keymon.com.mx.newinst2 _newinst2 = null;
public SHARK2.keymon.com.mx.b4xpages _b4xpages = null;
public SHARK2.keymon.com.mx.b4xcollections _b4xcollections = null;
public SHARK2.keymon.com.mx.httputils2service _httputils2service = null;
public SHARK2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;
public String  _class_globals(SHARK2.keymon.com.mx.xml2map __ref) throws Exception{
__ref = this;
RDebugUtils.currentModule="xml2map";
RDebugUtils.currentLine=80150528;
 //BA.debugLineNum = 80150528;BA.debugLine="Sub Class_Globals";
RDebugUtils.currentLine=80150529;
 //BA.debugLineNum = 80150529;BA.debugLine="Private parser As SaxParser";
_parser = new anywheresoftware.b4a.objects.SaxParser();
RDebugUtils.currentLine=80150530;
 //BA.debugLineNum = 80150530;BA.debugLine="Type XmlElement (Name As String, Children As List";
;
RDebugUtils.currentLine=80150531;
 //BA.debugLineNum = 80150531;BA.debugLine="Private elements As List";
_elements = new anywheresoftware.b4a.objects.collections.List();
RDebugUtils.currentLine=80150532;
 //BA.debugLineNum = 80150532;BA.debugLine="Private mStripNamespaces As Boolean";
_mstripnamespaces = false;
RDebugUtils.currentLine=80150533;
 //BA.debugLineNum = 80150533;BA.debugLine="End Sub";
return "";
}
public SHARK2.keymon.com.mx.xml2map._xmlelement  _createelement(SHARK2.keymon.com.mx.xml2map __ref,String _name) throws Exception{
__ref = this;
RDebugUtils.currentModule="xml2map";
if (Debug.shouldDelegate(ba, "createelement", true))
	 {return ((SHARK2.keymon.com.mx.xml2map._xmlelement) Debug.delegate(ba, "createelement", new Object[] {_name}));}
SHARK2.keymon.com.mx.xml2map._xmlelement _xe = null;
RDebugUtils.currentLine=80609280;
 //BA.debugLineNum = 80609280;BA.debugLine="Private Sub CreateElement (Name As String) As XmlE";
RDebugUtils.currentLine=80609281;
 //BA.debugLineNum = 80609281;BA.debugLine="Dim xe As XmlElement";
_xe = new SHARK2.keymon.com.mx.xml2map._xmlelement();
RDebugUtils.currentLine=80609282;
 //BA.debugLineNum = 80609282;BA.debugLine="xe.Initialize";
_xe.Initialize();
RDebugUtils.currentLine=80609283;
 //BA.debugLineNum = 80609283;BA.debugLine="xe.Children.Initialize";
_xe.Children /*anywheresoftware.b4a.objects.collections.List*/ .Initialize();
RDebugUtils.currentLine=80609284;
 //BA.debugLineNum = 80609284;BA.debugLine="xe.Name = Name";
_xe.Name /*String*/  = _name;
RDebugUtils.currentLine=80609290;
 //BA.debugLineNum = 80609290;BA.debugLine="Return xe";
if (true) return _xe;
RDebugUtils.currentLine=80609291;
 //BA.debugLineNum = 80609291;BA.debugLine="End Sub";
return null;
}
public Object  _elementtoobject(SHARK2.keymon.com.mx.xml2map __ref,SHARK2.keymon.com.mx.xml2map._xmlelement _element) throws Exception{
__ref = this;
RDebugUtils.currentModule="xml2map";
if (Debug.shouldDelegate(ba, "elementtoobject", true))
	 {return ((Object) Debug.delegate(ba, "elementtoobject", new Object[] {_element}));}
anywheresoftware.b4a.objects.collections.Map _m = null;
SHARK2.keymon.com.mx.xml2map._xmlelement _child = null;
Object _childobject = null;
Object _currentitem = null;
anywheresoftware.b4a.objects.collections.List _list = null;
RDebugUtils.currentLine=80543744;
 //BA.debugLineNum = 80543744;BA.debugLine="Private Sub ElementToObject (Element As XmlElement";
RDebugUtils.currentLine=80543745;
 //BA.debugLineNum = 80543745;BA.debugLine="If Element.Children.Size = 0 And Element.Attribut";
if (_element.Children /*anywheresoftware.b4a.objects.collections.List*/ .getSize()==0 && _element.Attributes /*anywheresoftware.b4a.objects.collections.Map*/ .IsInitialized()==__c.False) { 
if (true) return (Object)(_element.Text /*String*/ );};
RDebugUtils.currentLine=80543746;
 //BA.debugLineNum = 80543746;BA.debugLine="Dim m As Map";
_m = new anywheresoftware.b4a.objects.collections.Map();
RDebugUtils.currentLine=80543747;
 //BA.debugLineNum = 80543747;BA.debugLine="m.Initialize";
_m.Initialize();
RDebugUtils.currentLine=80543748;
 //BA.debugLineNum = 80543748;BA.debugLine="If Element.Attributes.IsInitialized Then m.Put(\"A";
if (_element.Attributes /*anywheresoftware.b4a.objects.collections.Map*/ .IsInitialized()) { 
_m.Put((Object)("Attributes"),(Object)(_element.Attributes /*anywheresoftware.b4a.objects.collections.Map*/ .getObject()));};
RDebugUtils.currentLine=80543749;
 //BA.debugLineNum = 80543749;BA.debugLine="If Element.Children.Size = 0 Then m.Put(\"Text\", E";
if (_element.Children /*anywheresoftware.b4a.objects.collections.List*/ .getSize()==0) { 
_m.Put((Object)("Text"),(Object)(_element.Text /*String*/ ));};
RDebugUtils.currentLine=80543750;
 //BA.debugLineNum = 80543750;BA.debugLine="For Each child As XmlElement In Element.Children";
{
final anywheresoftware.b4a.BA.IterableList group6 = _element.Children /*anywheresoftware.b4a.objects.collections.List*/ ;
final int groupLen6 = group6.getSize()
;int index6 = 0;
;
for (; index6 < groupLen6;index6++){
_child = (SHARK2.keymon.com.mx.xml2map._xmlelement)(group6.Get(index6));
RDebugUtils.currentLine=80543751;
 //BA.debugLineNum = 80543751;BA.debugLine="Dim childObject As Object = ElementToObject(chil";
_childobject = __ref._elementtoobject /*Object*/ (null,_child);
RDebugUtils.currentLine=80543752;
 //BA.debugLineNum = 80543752;BA.debugLine="If m.ContainsKey(child.Name) Then";
if (_m.ContainsKey((Object)(_child.Name /*String*/ ))) { 
RDebugUtils.currentLine=80543753;
 //BA.debugLineNum = 80543753;BA.debugLine="Dim currentItem As Object = m.Get(child.Name)";
_currentitem = _m.Get((Object)(_child.Name /*String*/ ));
RDebugUtils.currentLine=80543754;
 //BA.debugLineNum = 80543754;BA.debugLine="Dim list As List";
_list = new anywheresoftware.b4a.objects.collections.List();
RDebugUtils.currentLine=80543755;
 //BA.debugLineNum = 80543755;BA.debugLine="If currentItem Is List Then";
if (_currentitem instanceof java.util.List) { 
RDebugUtils.currentLine=80543756;
 //BA.debugLineNum = 80543756;BA.debugLine="list = currentItem";
_list = (anywheresoftware.b4a.objects.collections.List) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.collections.List(), (java.util.List)(_currentitem));
 }else {
RDebugUtils.currentLine=80543758;
 //BA.debugLineNum = 80543758;BA.debugLine="list.Initialize";
_list.Initialize();
RDebugUtils.currentLine=80543759;
 //BA.debugLineNum = 80543759;BA.debugLine="list.Add(currentItem)";
_list.Add(_currentitem);
RDebugUtils.currentLine=80543760;
 //BA.debugLineNum = 80543760;BA.debugLine="m.Put(child.Name, list)";
_m.Put((Object)(_child.Name /*String*/ ),(Object)(_list.getObject()));
 };
RDebugUtils.currentLine=80543762;
 //BA.debugLineNum = 80543762;BA.debugLine="list.Add(childObject)";
_list.Add(_childobject);
 }else {
RDebugUtils.currentLine=80543764;
 //BA.debugLineNum = 80543764;BA.debugLine="m.Put(child.Name, childObject)";
_m.Put((Object)(_child.Name /*String*/ ),_childobject);
 };
 }
};
RDebugUtils.currentLine=80543767;
 //BA.debugLineNum = 80543767;BA.debugLine="Return m";
if (true) return (Object)(_m.getObject());
RDebugUtils.currentLine=80543768;
 //BA.debugLineNum = 80543768;BA.debugLine="End Sub";
return null;
}
public SHARK2.keymon.com.mx.xml2map._xmlelement  _getlastelement(SHARK2.keymon.com.mx.xml2map __ref) throws Exception{
__ref = this;
RDebugUtils.currentModule="xml2map";
if (Debug.shouldDelegate(ba, "getlastelement", true))
	 {return ((SHARK2.keymon.com.mx.xml2map._xmlelement) Debug.delegate(ba, "getlastelement", null));}
RDebugUtils.currentLine=80805888;
 //BA.debugLineNum = 80805888;BA.debugLine="Private Sub GetLastElement As XmlElement";
RDebugUtils.currentLine=80805889;
 //BA.debugLineNum = 80805889;BA.debugLine="Return elements.Get(elements.Size - 1)";
if (true) return (SHARK2.keymon.com.mx.xml2map._xmlelement)(__ref._elements /*anywheresoftware.b4a.objects.collections.List*/ .Get((int) (__ref._elements /*anywheresoftware.b4a.objects.collections.List*/ .getSize()-1)));
RDebugUtils.currentLine=80805890;
 //BA.debugLineNum = 80805890;BA.debugLine="End Sub";
return null;
}
public boolean  _getstripnamespaces(SHARK2.keymon.com.mx.xml2map __ref) throws Exception{
__ref = this;
RDebugUtils.currentModule="xml2map";
if (Debug.shouldDelegate(ba, "getstripnamespaces", true))
	 {return ((Boolean) Debug.delegate(ba, "getstripnamespaces", null));}
RDebugUtils.currentLine=80281600;
 //BA.debugLineNum = 80281600;BA.debugLine="Public Sub getStripNamespaces As Boolean";
RDebugUtils.currentLine=80281601;
 //BA.debugLineNum = 80281601;BA.debugLine="Return mStripNamespaces";
if (true) return __ref._mstripnamespaces /*boolean*/ ;
RDebugUtils.currentLine=80281602;
 //BA.debugLineNum = 80281602;BA.debugLine="End Sub";
return false;
}
public String  _initialize(SHARK2.keymon.com.mx.xml2map __ref,anywheresoftware.b4a.BA _ba) throws Exception{
__ref = this;
innerInitialize(_ba);
RDebugUtils.currentModule="xml2map";
if (Debug.shouldDelegate(ba, "initialize", true))
	 {return ((String) Debug.delegate(ba, "initialize", new Object[] {_ba}));}
RDebugUtils.currentLine=80216064;
 //BA.debugLineNum = 80216064;BA.debugLine="Public Sub Initialize";
RDebugUtils.currentLine=80216065;
 //BA.debugLineNum = 80216065;BA.debugLine="parser.Initialize";
__ref._parser /*anywheresoftware.b4a.objects.SaxParser*/ .Initialize(ba);
RDebugUtils.currentLine=80216066;
 //BA.debugLineNum = 80216066;BA.debugLine="End Sub";
return "";
}
public anywheresoftware.b4a.objects.collections.Map  _parse(SHARK2.keymon.com.mx.xml2map __ref,String _xml) throws Exception{
__ref = this;
RDebugUtils.currentModule="xml2map";
if (Debug.shouldDelegate(ba, "parse", true))
	 {return ((anywheresoftware.b4a.objects.collections.Map) Debug.delegate(ba, "parse", new Object[] {_xml}));}
anywheresoftware.b4a.objects.streams.File.InputStreamWrapper _in = null;
byte[] _b = null;
RDebugUtils.currentLine=80412672;
 //BA.debugLineNum = 80412672;BA.debugLine="Public Sub Parse(XML As String) As Map";
RDebugUtils.currentLine=80412673;
 //BA.debugLineNum = 80412673;BA.debugLine="Dim in As InputStream";
_in = new anywheresoftware.b4a.objects.streams.File.InputStreamWrapper();
RDebugUtils.currentLine=80412674;
 //BA.debugLineNum = 80412674;BA.debugLine="Dim b() As Byte = XML.GetBytes(\"UTF8\")";
_b = _xml.getBytes("UTF8");
RDebugUtils.currentLine=80412675;
 //BA.debugLineNum = 80412675;BA.debugLine="in.InitializeFromBytesArray(b, 0, b.Length)";
_in.InitializeFromBytesArray(_b,(int) (0),_b.length);
RDebugUtils.currentLine=80412676;
 //BA.debugLineNum = 80412676;BA.debugLine="Return Parse2(in)";
if (true) return __ref._parse2 /*anywheresoftware.b4a.objects.collections.Map*/ (null,_in);
RDebugUtils.currentLine=80412677;
 //BA.debugLineNum = 80412677;BA.debugLine="End Sub";
return null;
}
public anywheresoftware.b4a.objects.collections.Map  _parse2(SHARK2.keymon.com.mx.xml2map __ref,anywheresoftware.b4a.objects.streams.File.InputStreamWrapper _input) throws Exception{
__ref = this;
RDebugUtils.currentModule="xml2map";
if (Debug.shouldDelegate(ba, "parse2", true))
	 {return ((anywheresoftware.b4a.objects.collections.Map) Debug.delegate(ba, "parse2", new Object[] {_input}));}
anywheresoftware.b4a.objects.collections.Map _m = null;
RDebugUtils.currentLine=80478208;
 //BA.debugLineNum = 80478208;BA.debugLine="Public Sub Parse2(Input As InputStream) As Map";
RDebugUtils.currentLine=80478209;
 //BA.debugLineNum = 80478209;BA.debugLine="elements.Initialize";
__ref._elements /*anywheresoftware.b4a.objects.collections.List*/ .Initialize();
RDebugUtils.currentLine=80478210;
 //BA.debugLineNum = 80478210;BA.debugLine="elements.Add(CreateElement(\"stub\"))";
__ref._elements /*anywheresoftware.b4a.objects.collections.List*/ .Add((Object)(__ref._createelement /*SHARK2.keymon.com.mx.xml2map._xmlelement*/ (null,"stub")));
RDebugUtils.currentLine=80478211;
 //BA.debugLineNum = 80478211;BA.debugLine="parser.Parse(Input, \"parser\")";
__ref._parser /*anywheresoftware.b4a.objects.SaxParser*/ .Parse((java.io.InputStream)(_input.getObject()),"parser");
RDebugUtils.currentLine=80478212;
 //BA.debugLineNum = 80478212;BA.debugLine="Dim m As Map = ElementToObject(elements.Get(0))";
_m = new anywheresoftware.b4a.objects.collections.Map();
_m = (anywheresoftware.b4a.objects.collections.Map) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.objects.collections.Map(), (java.util.Map)(__ref._elementtoobject /*Object*/ (null,(SHARK2.keymon.com.mx.xml2map._xmlelement)(__ref._elements /*anywheresoftware.b4a.objects.collections.List*/ .Get((int) (0))))));
RDebugUtils.currentLine=80478213;
 //BA.debugLineNum = 80478213;BA.debugLine="Return m";
if (true) return _m;
RDebugUtils.currentLine=80478214;
 //BA.debugLineNum = 80478214;BA.debugLine="End Sub";
return null;
}
public String  _parser_endelement(SHARK2.keymon.com.mx.xml2map __ref,String _uri,String _name,anywheresoftware.b4a.keywords.StringBuilderWrapper _text) throws Exception{
__ref = this;
RDebugUtils.currentModule="xml2map";
if (Debug.shouldDelegate(ba, "parser_endelement", true))
	 {return ((String) Debug.delegate(ba, "parser_endelement", new Object[] {_uri,_name,_text}));}
SHARK2.keymon.com.mx.xml2map._xmlelement _element = null;
RDebugUtils.currentLine=80871424;
 //BA.debugLineNum = 80871424;BA.debugLine="Private Sub Parser_EndElement (Uri As String, Name";
RDebugUtils.currentLine=80871425;
 //BA.debugLineNum = 80871425;BA.debugLine="Dim Element As XmlElement = GetLastElement";
_element = __ref._getlastelement /*SHARK2.keymon.com.mx.xml2map._xmlelement*/ (null);
RDebugUtils.currentLine=80871426;
 //BA.debugLineNum = 80871426;BA.debugLine="Element.Text = Text.ToString";
_element.Text /*String*/  = _text.ToString();
RDebugUtils.currentLine=80871427;
 //BA.debugLineNum = 80871427;BA.debugLine="elements.RemoveAt(elements.Size - 1)";
__ref._elements /*anywheresoftware.b4a.objects.collections.List*/ .RemoveAt((int) (__ref._elements /*anywheresoftware.b4a.objects.collections.List*/ .getSize()-1));
RDebugUtils.currentLine=80871428;
 //BA.debugLineNum = 80871428;BA.debugLine="End Sub";
return "";
}
public String  _parser_startelement(SHARK2.keymon.com.mx.xml2map __ref,String _uri,String _name,anywheresoftware.b4a.objects.SaxParser.AttributesWrapper _attributes) throws Exception{
__ref = this;
RDebugUtils.currentModule="xml2map";
if (Debug.shouldDelegate(ba, "parser_startelement", true))
	 {return ((String) Debug.delegate(ba, "parser_startelement", new Object[] {_uri,_name,_attributes}));}
SHARK2.keymon.com.mx.xml2map._xmlelement _element = null;
anywheresoftware.b4a.objects.collections.Map _att = null;
int _i = 0;
String _key = "";
RDebugUtils.currentLine=80674816;
 //BA.debugLineNum = 80674816;BA.debugLine="Private Sub Parser_StartElement (Uri As String, Na";
RDebugUtils.currentLine=80674818;
 //BA.debugLineNum = 80674818;BA.debugLine="Dim Element As XmlElement = CreateElement(Name)";
_element = __ref._createelement /*SHARK2.keymon.com.mx.xml2map._xmlelement*/ (null,_name);
RDebugUtils.currentLine=80674819;
 //BA.debugLineNum = 80674819;BA.debugLine="If Attributes.IsInitialized And Attributes.Size >";
if (_attributes.IsInitialized() && _attributes.getSize()>0) { 
RDebugUtils.currentLine=80674820;
 //BA.debugLineNum = 80674820;BA.debugLine="Dim att As Map";
_att = new anywheresoftware.b4a.objects.collections.Map();
RDebugUtils.currentLine=80674832;
 //BA.debugLineNum = 80674832;BA.debugLine="att.Initialize";
_att.Initialize();
RDebugUtils.currentLine=80674833;
 //BA.debugLineNum = 80674833;BA.debugLine="For i = 0 To Attributes.Size - 1";
{
final int step5 = 1;
final int limit5 = (int) (_attributes.getSize()-1);
_i = (int) (0) ;
for (;_i <= limit5 ;_i = _i + step5 ) {
RDebugUtils.currentLine=80674834;
 //BA.debugLineNum = 80674834;BA.debugLine="Dim key As String = Attributes.GetName(i)";
_key = _attributes.GetName(_i);
RDebugUtils.currentLine=80674835;
 //BA.debugLineNum = 80674835;BA.debugLine="If mStripNamespaces Then key = StripNamespace(k";
if (__ref._mstripnamespaces /*boolean*/ ) { 
_key = __ref._stripnamespace /*String*/ (null,_key);};
RDebugUtils.currentLine=80674836;
 //BA.debugLineNum = 80674836;BA.debugLine="att.Put(key, Attributes.GetValue(i))";
_att.Put((Object)(_key),(Object)(_attributes.GetValue(_i)));
 }
};
RDebugUtils.currentLine=80674839;
 //BA.debugLineNum = 80674839;BA.debugLine="Element.Attributes = att";
_element.Attributes /*anywheresoftware.b4a.objects.collections.Map*/  = _att;
 };
RDebugUtils.currentLine=80674841;
 //BA.debugLineNum = 80674841;BA.debugLine="GetLastElement.Children.Add(Element)";
__ref._getlastelement /*SHARK2.keymon.com.mx.xml2map._xmlelement*/ (null).Children /*anywheresoftware.b4a.objects.collections.List*/ .Add((Object)(_element));
RDebugUtils.currentLine=80674842;
 //BA.debugLineNum = 80674842;BA.debugLine="elements.Add(Element)";
__ref._elements /*anywheresoftware.b4a.objects.collections.List*/ .Add((Object)(_element));
RDebugUtils.currentLine=80674843;
 //BA.debugLineNum = 80674843;BA.debugLine="End Sub";
return "";
}
public String  _stripnamespace(SHARK2.keymon.com.mx.xml2map __ref,String _s) throws Exception{
__ref = this;
RDebugUtils.currentModule="xml2map";
if (Debug.shouldDelegate(ba, "stripnamespace", true))
	 {return ((String) Debug.delegate(ba, "stripnamespace", new Object[] {_s}));}
RDebugUtils.currentLine=80740352;
 //BA.debugLineNum = 80740352;BA.debugLine="Private Sub StripNamespace(s As String) As String";
RDebugUtils.currentLine=80740354;
 //BA.debugLineNum = 80740354;BA.debugLine="Return s";
if (true) return _s;
RDebugUtils.currentLine=80740363;
 //BA.debugLineNum = 80740363;BA.debugLine="End Sub";
return "";
}
public String  _setstripnamespaces(SHARK2.keymon.com.mx.xml2map __ref,boolean _b) throws Exception{
__ref = this;
RDebugUtils.currentModule="xml2map";
if (Debug.shouldDelegate(ba, "setstripnamespaces", true))
	 {return ((String) Debug.delegate(ba, "setstripnamespaces", new Object[] {_b}));}
RDebugUtils.currentLine=80347136;
 //BA.debugLineNum = 80347136;BA.debugLine="Public Sub setStripNamespaces (b As Boolean)";
RDebugUtils.currentLine=80347137;
 //BA.debugLineNum = 80347137;BA.debugLine="mStripNamespaces = b";
__ref._mstripnamespaces /*boolean*/  = _b;
RDebugUtils.currentLine=80347138;
 //BA.debugLineNum = 80347138;BA.debugLine="End Sub";
return "";
}
}